Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.access
Class ClientServerChannel

    java.lang.Object
      org.apache.cayenne.access.ClientServerChannel

All Implemented Interfaces:
  DataChannel

    public class ClientServerChannel

extends java.lang.Object
implements DataChannel

A DataChannel adapter that connects client ObjectContext children to a server ObjectContext.

Since:
  1.2
Author:
  Andrus Adamchik

Field Summary
`protected boolean` | `lifecycleEventsEnabled`
`protected java.util.Map` | `paginatedResults`
`protected DataContext` | `serverContext`

Fields inherited from interface org.apache.cayenne.DataChannel
`FLUSH_CASCADE_SYNC, FLUSH_NOCASCADE_SYNC, GRAPH_CHANGED_SUBJECT, GRAPH_FLUSHED_SUBJECT, GRAPH_ROLLEDBACK_SUBJECT, ROLLBACK_CASCADE_SYNC`

Constructor Summary
`ClientServerChannel(DataDomain domain)`
`ClientServerChannel(DataDomain domain, boolean lifecycleEventsEnabled)`

Method Summary
`EntityResolver` | `getEntityResolver()` Returns an EntityResolver instance that contains runtime mapping information.
`EventManager` | `getEventManager()` Returns an EventManager associated with this channel.
`boolean` | `isLifecycleEventsEnabled()`
`QueryResponse` | `onQuery(ObjectContext context, Query query)` Executes a query, using provided context to register persistent objects if query returns any objects.
`GraphDiff` | `onSync(ObjectContext originatingContext, GraphDiff changes, int syncType)` Processes synchronization request from a child ObjectContext, returning a GraphDiff that describes changes to objects made on the receiving end as a result of syncronization.
`void` | `setLifecycleEventsEnabled(boolean lifecycleEventsEnabled)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serverContext

    protected DataContext serverContext

### lifecycleEventsEnabled

    protected boolean lifecycleEventsEnabled

### paginatedResults

    protected java.util.Map paginatedResults

Constructor Detail

### ClientServerChannel

    public ClientServerChannel(DataDomain domain)

### ClientServerChannel

    public ClientServerChannel(DataDomain domain,
                               boolean lifecycleEventsEnabled)

Method Detail

### onQuery

    public QueryResponse onQuery(ObjectContext context,
                                 Query query)

  Description copied from interface: `DataChannel`
  Executes a query, using provided context to register persistent objects if query returns any objects.

  Specified by:
    `onQuery` in interface `DataChannel`
  Parameters:
    `context` - an ObjectContext that originated the query, used to register result objects.
  Returns:
    a generic response object that encapsulates result of the execution.

### getEntityResolver

    public EntityResolver getEntityResolver()

  Description copied from interface: `DataChannel`
  Returns an EntityResolver instance that contains runtime mapping information.

  Specified by:
    `getEntityResolver` in interface `DataChannel`

### getEventManager

    public EventManager getEventManager()

  Description copied from interface: `DataChannel`
  Returns an EventManager associated with this channel. Channel may return null if EventManager is not available for any reason.

  Specified by:
    `getEventManager` in interface `DataChannel`

### isLifecycleEventsEnabled

    public boolean isLifecycleEventsEnabled()

### setLifecycleEventsEnabled

    public void setLifecycleEventsEnabled(boolean lifecycleEventsEnabled)

### onSync

    public GraphDiff onSync(ObjectContext originatingContext,
                            GraphDiff changes,
                            int syncType)

  Description copied from interface: `DataChannel`
  Processes synchronization request from a child ObjectContext, returning a GraphDiff that describes changes to objects made on the receiving end as a result of syncronization.

  Specified by:
    `onSync` in interface `DataChannel`
  Parameters:
    `originatingContext` - an ObjectContext that initiated the sync. Can be null.
    `changes` - diff from the context that initiated the sync.
    `syncType` - One of `DataChannel.FLUSH_NOCASCADE_SYNC`, `DataChannel.FLUSH_CASCADE_SYNC`, `DataChannel.ROLLBACK_CASCADE_SYNC`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.